Module jdk.compiler
Package com.sun.source.tree

# Enum Class InstanceOfTree.TestKind

java.lang.Object
java.lang.Enum<InstanceOfTree.TestKindPREVIEW>
com.sun.source.tree.InstanceOfTree.TestKind

All Implemented Interfaces:
  `Serializable`, `Comparable<InstanceOfTree.TestKindPREVIEW>`, `Constable`

Enclosing interface:
  `InstanceOfTree`

public static enum InstanceOfTree.TestKind extends Enum<InstanceOfTree.TestKindPREVIEW>
`TestKind` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Two possible variants of instanceof expressions:

- testing types, and
- performing pattern matching

Since:
  20

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PATTERN`
  instanceof doing a pattern matching
  `TYPE`
  instanceof only testing a type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InstanceOfTree.TestKindPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InstanceOfTree.TestKindPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TYPE

    public static final InstanceOfTree.TestKindPREVIEW TYPE
    instanceof only testing a type

  - ### PATTERN

    public static final InstanceOfTree.TestKindPREVIEW PATTERN
    instanceof doing a pattern matching

- ## Method Details

  - ### values

    public static InstanceOfTree.TestKindPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InstanceOfTree.TestKindPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null